config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
( cd usr/lib ; rm -rf libmysqld.so )
( cd usr/lib ; ln -sf libmysqld.so.18 libmysqld.so )
( cd usr/lib ; rm -rf libmysqlclient_r.so )
( cd usr/lib ; ln -sf libmysqlclient.so libmysqlclient_r.so )
( cd usr/lib ; rm -rf libmysqlclient_r.so.18.0.0 )
( cd usr/lib ; ln -sf libmysqlclient.so libmysqlclient_r.so.18.0.0 )
( cd usr/lib ; rm -rf libmysqlclient_r.so.18 )
( cd usr/lib ; ln -sf libmysqlclient.so libmysqlclient_r.so.18 )
( cd usr/lib ; rm -rf libmysqlclient.so )
( cd usr/lib ; ln -sf libmysqlclient.so.18 libmysqlclient.so )
( cd usr/lib ; rm -rf libmysqlclient.so.18 )
( cd usr/lib ; ln -sf libmysqlclient.so.18.0.0 libmysqlclient.so.18 )
